<?php
include(dirname(__FILE__) . "/lib/common_include.php");
//パラメータは
//db_id
//table_id
//として入ってくる
$id = null;
$tid = null;
$errReq = null;
if( array_key_exists('db_id' , $_POST ) ){
	$id = $_POST['db_id'];
	if( !is_string($id) ){
		$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
}else{
	$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
}
if( array_key_exists('table_id' , $_POST ) ){
	$tid = $_POST['table_id'];
	if( !is_string($id) ){
		$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
}else{
	$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
}
if( $errReq == null){

	$db = new usrDb($id);
	if( ! $db->isEnable() ){
		$res = $db->error;
	}else{
		$res = $db->getSingleTable($tid);
	};
	C\res($res);
}else{
	C\res($errReq);
}

